## links2 2.1pre15

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Makefile.am
# (c) 2002 Mikulas Patocka, Karel 'Clock' Kulhavy, Petr 'Brain' Kulhavy,
#          Martin 'PerM' Pergel


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/share/info
mandir = ${prefix}/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

#DESTDIR =

pkgdatadir = $(datadir)/links
pkglibdir = $(libdir)/links
pkgincludedir = $(includedir)/links

top_builddir = .

ACLOCAL = ./missing aclocal
AUTOCONF = ./missing autoconf
AUTOMAKE = ./missing automake
AUTOHEADER = ./missing autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
CXX = 
DIRECTFB_CONFIG = no
MAKEINFO = makeinfo
PACKAGE = links
PKG_CONFIG = /usr/bin/pkg-config
VERSION = 2.1pre15

man_MANS = links.1

EXTRA_DIST = atheos.cpp $(man_MANS) BRAILLE_HOWTO KEYS BUGS TODO SITES PATCH-gpm-1.20.0-smooth-cursor mailcap.pl rebuild Unicode/*.cp Unicode/[!C]* intl/[!C]* parser/[!Cy]* graphics/*.c graphics/arrow.png graphics/gen graphics/system_font/*.png graphics/font/century_school-medium-roman-serif-vari/*.png graphics/font/century_school-bold-roman-serif-vari/*.png graphics/font/symbol-medium-roman-sans-vari/*.png graphics/font/courier-medium-roman-serif-mono/*.png graphics/font/japanese-medium-roman-sans-mono/*.png graphics/font/century_school-bold-roman-serif-vari/aliases graphics/font/century_school-medium-roman-serif-vari/aliases graphics/font/symbol-medium-roman-sans-vari/aliases doc/links_cal/*.png doc/links_cal/*.html graphics/Makefile graphics/Fontmap graphics/clip.c graphics/links.xpm graphics/makefont graphics/pdf2html graphics/spacer.png links_16x16_1.xpm links_16x16_2.xpm links_32x32.xpm

bin_PROGRAMS = links

#links_LDADD = #atheos.o

links_SOURCES = af_unix.c auth.c beos.c bfu.c bookmarks.c builtin.c cache.c charsets.c connect.c context.c cookies.c default.c dip.c directfb.c directfb_cursors.h dither.c dns.c drivers.c error.c file.c finger.c font_include.c framebuffer.c ftp.c gif.c html.c html_gr.c html_r.c html_tbl.c http.c https.c img.c imgcache.c ipret.c javascr.c javascript.c jpeg.c jsint.c kbd.c language.c links_icon.c listedit.c lru.c mailto.c main.c md5.c md5hl.c menu.c memory.c ns.c objreq.c os_dep.c pmshell.c png.c pomocny.c sched.c select.c session.c smb.c svgalib.c terminal.c tiff.c types.c url.c view.c view_gr.c win32.c x.c xbm.c links.h cfg.h os_dep.h os_depx.h setup.h codepage.h language.h codepage.inc entity.inc uni_7b.inc language.inc arrow.inc md5.h ns.h struct.h tree.h typy.h ipret.h javascript.h builtin.h builtin_keys.h bits.h

CXXFLAGS = 

datadir = $(prefix)/@DATADIRNAME@
LIBS = -ltiff -ljpeg -lpng -lz -ldl -lm  -lssl -lcrypto -ldl   -L/usr/X11R6/lib -lX11
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS =    -I/usr/X11R6/include
LDFLAGS = 
links_OBJECTS =  af_unix.o auth.o beos.o bfu.o bookmarks.o builtin.o \
cache.o charsets.o connect.o context.o cookies.o default.o dip.o \
directfb.o dither.o dns.o drivers.o error.o file.o finger.o \
font_include.o framebuffer.o ftp.o gif.o html.o html_gr.o html_r.o \
html_tbl.o http.o https.o img.o imgcache.o ipret.o javascr.o \
javascript.o jpeg.o jsint.o kbd.o language.o links_icon.o listedit.o \
lru.o mailto.o main.o md5.o md5hl.o menu.o memory.o ns.o objreq.o \
os_dep.o pmshell.o png.o pomocny.o sched.o select.o session.o smb.o \
svgalib.o terminal.o tiff.o types.o url.o view.o view_gr.o win32.o x.o \
xbm.o
#links_DEPENDENCIES =  atheos.o
links_LDFLAGS = 
CFLAGS = -Wall -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
Makefile.am Makefile.in NEWS TODO acconfig.h aclocal.m4 config.guess \
config.h.in config.sub configure configure.in install-sh missing \
mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
SOURCES = $(links_SOURCES)
OBJECTS = $(links_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null
$(srcdir)/config.h.in: $(srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h.in; \
		$(MAKE) $(srcdir)/stamp-h.in; \
	else :; fi
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

links: $(links_OBJECTS) $(links_DEPENDENCIES)
	@rm -f links
	$(LINK) $(links_LDFLAGS) $(links_OBJECTS) $(links_LDADD) $(LIBS)

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	$(mkinstalldirs) $(distdir)/Unicode $(distdir)/doc/links_cal \
	   $(distdir)/graphics \
	   $(distdir)/graphics/font/century_school-bold-roman-serif-vari \
	   $(distdir)/graphics/font/century_school-medium-roman-serif-vari \
	   $(distdir)/graphics/font/courier-medium-roman-serif-mono \
	   $(distdir)/graphics/font/japanese-medium-roman-sans-mono \
	   $(distdir)/graphics/font/symbol-medium-roman-sans-vari \
	   $(distdir)/graphics/system_font $(distdir)/intl \
	   $(distdir)/parser
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
af_unix.o: af_unix.c links.h cfg.h config.h os_dep.h os_depx.h setup.h \
	language.h codepage.h
auth.o: auth.c links.h cfg.h config.h os_dep.h os_depx.h setup.h \
	language.h codepage.h
beos.o: beos.c

## links2 2.3~pre1

=== debian/changelog ===
links2 (2.3~pre1-1) unstable; urgency=low

  [Gürkan Sengün]
  * New upstream version.
    + Supports UTF-8 (Closes: #544289)
  * debian/rules: drop dh_desktop call.
  * Bump debhelper version to 7.
  * Added debian/watch file.

  [Axel Beckert]
  * Added myself to Uploaders
  * Bumped Standards-Version to 3.9.0 (no changes)
  * Move to Source Format "3.0 (quilt)"
  * Apply patch by Mats Erik Andersson <mats.andersson@gisladisker.se>
    abort if an SSL certificate doesn't validate and update it to fit to
    2.3pre1 sources. (Closes: #510417)
  * Added appropriate prerm and postinst scripts for links, too
    (Closes: #556118, LP: #443391)

 -- Axel Beckert <abe@debian.org>  Fri, 09 Jul 2010 17:08:56 +0200

links2 (2.2-1) unstable; urgency=low

  * New upstream version.
  * Update debian/links2.desktop. (Closes: #488904)
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 04 Aug 2008 12:19:47 +0200

links2 (2.1pre37-1.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Make sure links cannot bypass the proxy, if it is configurered only
    to use it in order to avoid leaking of sensitive information to
    external programs, fix in session.c (Closes: #492744)
    Fixes: CVE-2008-3329

 -- Steffen Joeris <white@debian.org>  Sat, 02 Aug 2008 03:33:53 +0000

links2 (2.1pre37-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 23 Jun 2008 12:57:39 +0200

links2 (2.1pre36-1) unstable; urgency=low

  * New upstream version.
  * Fix config file name in manual page. (Closes: #471814)
  * Fix some typos in manual page. (Closes: #461809)
  * Remove bashism from debian/rules. (Closes: #478610)
  * debian/control: Updated section.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 13 May 2008 11:17:09 +0200

links2 (2.1pre35-1) unstable; urgency=low

  * New upstream version.
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 05 May 2008 20:45:43 +0200

links2 (2.1pre33-1) unstable; urgency=low

  * New upstream version.
  * Drop building the dummy links-ssl package.
  * Update debian/copyright.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 09 Feb 2008 10:20:42 +0100

links2 (2.1pre32-1) unstable; urgency=low

  * New upstream version.
  * Links now is built from this source as well. (Closes: #451744, #451087)
  * debian/control: Bump standards version.
  * debian/copyright: Reformatted.
  * debian/rules: Add missing dh_desktop call.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 13 Dec 2007 11:03:56 +0100

links2 (2.1pre31-1) unstable; urgency=low

  * New upstream version.
  * Applied patch for the xlinks2 wrapper to use exec, thanks Justin Pryzby.
    (Closes: #428639)
  * Added desktop file.
  * Updated long description in debian/control. (Closes: #327382)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Oct 2007 01:36:33 +0100

links2 (2.1pre28-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 11 Apr 2007 21:17:10 +0200

links2 (2.1pre27-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 11 Apr 2007 17:17:26 +0200

links2 (2.1pre26-4) unstable; urgency=high

  * Add another missing build depends to fix the X backend.
    Thanks to Julien Cristau for the help.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  6 Dec 2006 14:52:09 +0100

links2 (2.1pre26-3) unstable; urgency=high

  * Add missing build depends to fix the X backend.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  6 Dec 2006 08:42:21 +0100

links2 (2.1pre26-2) unstable; urgency=low

  * Apply patch to fix finding of X header files. (Closes: #398642)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri,  1 Dec 2006 09:21:48 +0100

links2 (2.1pre26-1) unstable; urgency=low

  * New upstream version. Reenable smb:// support,
    it got properly fixed by upstream.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 30 Nov 2006 09:47:56 +0100

links2 (2.1pre25-2) unstable; urgency=high

  * Disable smb:// support, fixes CVE-2006-5925.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 29 Nov 2006 09:58:31 +0100

links2 (2.1pre25-1) unstable; urgency=medium

  * New upstream version. (Closes: #398642)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 28 Nov 2006 08:03:35 +0100

links2 (2.1pre24-1) unstable; urgency=low

  * New upstream version. (Closes: #316261)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 13 Nov 2006 00:25:13 +0100

links2 (2.1pre23-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri,  4 Aug 2006 10:17:51 +0200

links2 (2.1pre22-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 May 2006 11:17:40 +0200

links2 (2.1pre21-2) unstable; urgency=low

  * Update debian/copyright. (Closes: #361772)
  * Update build-depends for libdirectfb.
  * Decrease update-alternatives points.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 21 Apr 2006 13:15:18 +0200

links2 (2.1pre21-1) unstable; urgency=low

  * New upstream version. 
    - Add libssl-dev to build depends. (Closes: #258301)
  * Fixed URLs. (Closes: #359660)
  * Rebuild (xlib transition), add libsdl1.2-dev to build
    depends. (Closes: #351286)
  * Removed type-handling from build-depends.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  2 Apr 2006 21:28:41 +0200

links2 (2.1pre20-3) unstable; urgency=low

  * Update build-depends. (closes: #346591)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 12 Jan 2006 10:16:23 +0100

links2 (2.1pre20-2) unstable; urgency=low

  * Applied patch to fix a rendering bug.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 27 Dec 2005 13:00:38 +0100

links2 (2.1pre20-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 10 Dec 2005 16:57:42 +0100

links2 (2.1pre19-1) unstable; urgency=low

  * New upstream version.


=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
        --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
        --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
        --enable-graphics --with-x --with-fb

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean distclean
	-rm -f config.cache config.log config.status
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
#	cat debian/control.in \
#	| sed "s/@linux-gnu@/`type-handling any linux-gnu`/g" \
#	> debian/control
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/links2
	#rename links.1 and links to links2.1 and links2
	mv $(CURDIR)/debian/links2/usr/bin/links \
           $(CURDIR)/debian/links2/usr/bin/links2
	cp $(CURDIR)/debian/xlinks2 \
           $(CURDIR)/debian/links2/usr/bin/xlinks2
	chmod 755 $(CURDIR)/debian/links2/usr/bin/xlinks2
	mv $(CURDIR)/debian/links2/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/links2/usr/share/man/man1/links2.1
	cp -vR doc $(CURDIR)/debian/links2/usr/share/doc/links2/calibration
	cp links_32x32.xpm $(CURDIR)/debian/links2/usr/share/pixmaps/links2.xpm
	cp debian/links2.desktop debian/links2/usr/share/applications/

#	build the textmode only version
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--without-svgalib --without-x --without-fb --without-directfb --without-libjpeg --without-libtiff
	$(MAKE) install DESTDIR=$(CURDIR)/debian/links2
	mv $(CURDIR)/debian/links2/usr/bin/links \
           $(CURDIR)/debian/links/usr/bin/links
	mv $(CURDIR)/debian/links2/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/links/usr/share/man/man1/links.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_installman
	dh_link -plinks2 usr/share/man/man1/links2.1 usr/share/man/man1/xlinks2.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.gz

## links2 2.3

=== debian/changelog ===
links2 (2.3-2) unstable; urgency=low

  * Import new IPv6 patch from patch upstream. Fixes several
    issues. (Closes: #645166)
  * Fix misspelling of "Windows" in codepage list (LP: #649796)
  * Add lintian overrides for spelling error false positives in
    translations.
  * Add patch to fix spelling and formatting issues lintian found in the
    man page.
  * Mention links2 in the description of links (Closes: #500768)

 -- Axel Beckert <abe@debian.org>  Wed, 16 Nov 2011 03:50:41 +0100

links2 (2.3-1) unstable; urgency=low

  * New upstream release.
    + Refreshed patches links2-instead-of-links.diff and ipv6.diff
    + Fixes downloads of files larger than 4GB (Closes: #610418)
  * Fix debian/watch so that upstream versions are sorted properly; add
    and prefer bzip2 compressed upstream tarballs.
  * Add missing bug number for IPv6 patch in the previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Thu, 18 Aug 2011 23:35:41 +0200

links2 (2.3~pre2-1) unstable; urgency=low

  * New upstream version.
    + Supports more UTF-8 in text terminals, but still not all (See:
      #589770 and #316261)
    + Refreshed all patches.
  * Fixed watch file (Closes: #591501)
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
    to be able to make two identical builds in a row.
    - Build-Depend on autotools-dev
    - Remove config.{sub,guess} hunks from
      debian/patches/patches-as-of-link2-2.2-1.diff
  * Split remaining patches-as-of-link2-2.2-1.diff into
    links2-instead-of-links.diff and
    x-terminal-emulator-instead-of-xterm.diff
  * Remove Gürkan from list of maintainers on his own request, become sole
    maintainer
  * Replace long-time obsolete alternative libpng3-dev build dependency by
    the virtual package libpng-dev
  * Replace libjpeg62-dev build dependency by libjpeg8-dev | libjpeg-dev
    (Closes: #634144)
  * Added Vcs-* headers for new git repository.
  * Added Icon=links2 to links2.desktop (Closes: #627715)
  * Added Brazilian Portuguese entries for links2.desktop. Thanks to
    Sérgio Cipolla! (Closes: #633816)
  * Added IPv6 patch from http://xpisar.wz.cz/links-ipv6/, slightly
    modified and refreshed to fit 2.3pre2 release. (Closes: #632172)
  * Add patch to improve error message when using -g option with links
    instead of links2 (Closes: #602227)
  * Add abort-on-upstream-changes and unapply-patches to
    debian/source/local-options as source format 3.0 stubbornly does not
    allow to put it into debian/source/options
  * Fix lintian warning debian-rules-missing-recommended-target
    (build-arch and build-indep)
  * Bump Standards-Version to 3.9.2 (no changes necessary)
  * Refer to the versionened, non-symlinked GPL in debian/copyright.
  * Update Copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Wed, 20 Jul 2011 18:58:37 +0200

=== debian/control ===
Source: links2
Section: web
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpmg1-dev [i386 ia64 alpha amd64 arm hppa m68k mips mipsel powerpc ppc64 s390 sparc], libsvga1-dev [i386 amd64], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev
Standards-Version: 3.9.2
Homepage: http://links.twibright.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git

Package: links2
Architecture: any
Provides: www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web browser running in both graphics and text mode
 Links is a graphics and text mode WWW browser, similar to Lynx. It displays
 tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.
 In graphics mode it displays PNG, JPEG, GIF, TIFF, and XBM pictures, runs
 external bindings on other types, and features anti-aliased font, smooth
 image zooming, 48-bit dithering, and gamma and aspect ratio correction.

Package: links
Architecture: any
Provides: www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web browser running in text mode
 Links is a text mode WWW browser, similar to Lynx. It displays tables,
 frames, downloads on background, uses HTTP/1.1 keepalive connections.
 .
 This version is compiled without graphics mode. See the package
 links2 for a version with graphics support compiled in.

=== debian/rules ===
--- 
+++ 
@@ -17,14 +17,16 @@
 
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
         --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
         --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
         --enable-graphics --with-x --with-fb
 
-build: build-stamp
-
-build-stamp:  config.status
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: config.status
 	dh_testdir
 	$(MAKE)
 
@@ -33,12 +35,7 @@
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) clean distclean
 	-rm -f config.cache config.log config.status
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
+	dh_autotools-dev_restoreconfig
 #	cat debian/control.in \
 #	| sed "s/@linux-gnu@/`type-handling any linux-gnu`/g" \
 #	> debian/control
@@ -87,6 +84,7 @@
 	dh_installmenu
 	dh_installmime
 	dh_installman
+	dh_lintian
 	dh_link -plinks2 usr/share/man/man1/links2.1 usr/share/man/man1/xlinks2.1
 	dh_strip
 	dh_compress

## links2 2.4

=== debian/changelog ===
links2 (2.4-1) unstable; urgency=low

  * New upstream release.
    + Refreshed the following patches:
      - links2-instead-of-links.diff
      - x-terminal-emulator-instead-of-xterm.diff
      - improve-message-of-dash-g-602227.diff
      - fix-typos-in-manpage.diff
    + Imported new ipv6.diff from patch upstream.
  * Add description to fix-puerile-humor.diff

 -- Axel Beckert <abe@debian.org>  Wed, 30 Nov 2011 01:19:46 +0100

## links2 2.5

=== debian/changelog ===
links2 (2.5-1) unstable; urgency=low

  * New upstream release.
    + Refreshed the following patches:
      - links2-instead-of-links.diff
      - x-terminal-emulator-instead-of-xterm.diff
      - improve-message-of-dash-g-602227.diff
    + Imported new ipv6.diff from patch upstream.
  * Replace "dh_clean -k" by "dh_prep".

 -- Axel Beckert <abe@debian.org>  Mon, 02 Jan 2012 18:23:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/links2
 	#rename links.1 and links to links2.1 and links2

## links2 2.6

=== debian/changelog ===
links2 (2.6-1) unstable; urgency=medium

  * New upstream release
    + Fixes several possibly remotely exploitable security issues (Closes:
      #668227; set urgency=medium due to security bug fixes)
    + Refresh the following patches:
      - links2-instead-of-links.diff
      - x-terminal-emulator-instead-of-xterm.diff
      - fix-typos-in-manpage.diff
      - improve-message-of-dash-g-602227.diff
      - verify-ssl-certs-510417.diff
    + Imported new ipv6.diff from patch upstream.
    + Removed BUGS and TODO from debian/docs, they no more exists in upstream
      tarball. Added AUTHORS instead.
  * Enable hardened build flags (Closes: #654807) Thanks Moritz
    Muehlenhoff!
  * Enable bzip2 and lzma support by adding according build dependencies
  * Replaced build-dependendy on libgpmg1-dev by libgpm-dev
  * Replaced incomplete linux-only architecture list in build-dependency
    with "linux-any"
  * Broadened architecture constraints for the libsvga1-dev build-dependency
    since svgalib has been ported to non-x86 architectures as well as to
    kfreebsd.
  * Updated lintian overrides for spelling error false positives in
    translations.
  * Bumped Standards-Version to 3.9.3 (no changes)

 -- Axel Beckert <abe@debian.org>  Sat, 21 Apr 2012 09:47:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpmg1-dev [i386 ia64 alpha amd64 arm hppa m68k mips mipsel powerpc ppc64 s390 sparc], libsvga1-dev [i386 amd64], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpm-dev [linux-any], libsvga1-dev [linux-any kfreebsd-any], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev, libbz2-dev, liblzma-dev
+Standards-Version: 3.9.3
 Homepage: http://links.twibright.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git

=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,15 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 config.status: configure
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
         --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
         --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
         --enable-graphics --with-x --with-fb
@@ -60,7 +57,7 @@
 	cp debian/links2.desktop debian/links2/usr/share/applications/
 
 #	build the textmode only version
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	--without-svgalib --without-x --without-fb --without-directfb --without-libjpeg --without-libtiff

## links2 2.7

=== debian/changelog ===
links2 (2.7-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 09:30:02 +0100

links2 (2.7-1) unstable; urgency=low

  * New upstream release
    + Supports HTTPS proxy (Closes: #591438)
    + Supports IPv6 (drop IPv6 patch from Petr Pisar)
    + Fixes memory leak in FTP support
    + Fixes several rendering issues
    + Drop fix-typos-in-manpage.diff, applied upstream.
  * Refreshed updated the following patches:
    + improve-message-of-dash-g-602227.diff
    + links2-instead-of-links.diff
    + x-terminal-emulator-instead-of-xterm.diff

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 21:28:42 +0200

links2 (2.6-2) unstable; urgency=low

  * Enable hardening build flags so that they're really in
    effect. (Closes: #654807) Thanks Simon Ruderich!

 -- Axel Beckert <abe@debian.org>  Mon, 28 May 2012 18:07:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpm-dev [linux-any], libsvga1-dev [linux-any kfreebsd-any], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev, libbz2-dev, liblzma-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpm-dev [linux-any], libsvga1-dev [linux-any kfreebsd-any], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev, libbz2-dev, liblzma-dev
 Standards-Version: 3.9.3
 Homepage: http://links.twibright.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,18 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+# The build system reruns ./configure which removes the hardening flags if
+# they are only passed to ./configure.
+export CFLAGS CPPFLAGS LDFLAGS
 
 config.status: configure
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
+	./configure --host=$(DEB_HOST_GNU_TYPE) \
         --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
         --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
         --enable-graphics --with-x --with-fb
@@ -57,7 +60,7 @@
 	cp debian/links2.desktop debian/links2/usr/share/applications/
 
 #	build the textmode only version
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
+	./configure --host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	--without-svgalib --without-x --without-fb --without-directfb --without-libjpeg --without-libtiff

## links2 2.8

=== graphics/Makefile ===
CFLAGS=-g -Wall -O2
#-Wno-pointer-sign
LDFLAGS=

all: improcess genps pbm2png clip generate_font arrow

clean:
	rm -f improcess gepns core pbm2png clip generate_font arrow

improcess: improcess.c
	gcc -o improcess improcess.c $(CFLAGS) $(LDFLAFGS) -lpng -lz -lm

pbm2png: pbm2png.c
	gcc -o pbm2png pbm2png.c $(CFLAGS) $(LDFLAGS) -lpng -lz -lm

genps: genps.c
	gcc -o genps genps.c $(CFLAGS) $(LDFLAGS)

clip: clip.c
	gcc -o clip clip.c $(CFLAGS) $(LDFLAGS)

generate_font: generate_font.c
	gcc -o generate_font generate_font.c $(CFLAGS) $(LDFLAGS) -lpng -lz -lm

arrow: arrow.c
	gcc -o arrow arrow.c $(CFLAGS) $(LDFLAGS) -lpng -lz -lm

=== debian/changelog ===
links2 (2.8-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 12:19:22 +0100

links2 (2.8-1) unstable; urgency=low

  * New upstream release
    + Refresh patches

 -- Axel Beckert <abe@debian.org>  Thu, 26 Sep 2013 01:02:11 +0200

links2 (2.7-2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian (LP: #234717).  Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Jun 2013 16:40:35 +0100

links2 (2.7-2) unstable; urgency=low

  * Drop svgalib support, it's going to be removed from Debian (Closes:
    #710927, LP #234717; this also has impact on #638383)
    + Remove README.Debian which covered svgalib's setuid need
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
    + No more need to remove config.* manually
  * Revamp debian/rules:
    + Remove redundant dh_installchangelogs parameter
    + Move dh_link parameters to debian/links2.links
    + Remove no more used (and already commented) code
    + Use dh_auto_{configure,build,install,clean} and dh_install + dh-exec
    + Delete the no more needed debian/dirs and debian/links.dirs
    + Use dh_installman instead of handling them manually
    + Use dh_installdocs instead of manually copying the doc tree
    + Finally switch to a dh7 style debian/rules files
  * Install calibration docs into /usr/share/doc/links2/links_cal instead
    of /usr/share/doc/links2/calibration/doc/links_cal
  * Rename debian/{docs,menu} to debian/links2.{docs,menu} for unambiguity
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jun 2013 00:55:55 +0200

=== debian/control ===
Source: links2
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               dh-exec,
               libbz2-dev,
               libdirectfb-dev,
               libgpm-dev [linux-any],
               libjpeg8-dev | libjpeg-dev,
               liblzma-dev,
               libpng12-dev | libpng-dev,
               libsdl1.2-dev,
               libssl-dev,
               libtiff-dev,
               libx11-dev,
               libxau-dev,
               libxdmcp-dev,
               libxt-dev
Standards-Version: 3.9.4
Homepage: http://links.twibright.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git

Package: links2
Architecture: any
Provides: www-browser
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Web browser running in both graphics and text mode
 Links is a graphics and text mode WWW browser, similar to Lynx. It displays
 tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.
 In graphics mode it displays PNG, JPEG, GIF, TIFF, and XBM pictures, runs
 external bindings on other types, and features anti-aliased font, smooth
 image zooming, 48-bit dithering, and gamma and aspect ratio correction.

Package: links
Architecture: any
Provides: www-browser
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Web browser running in text mode
 Links is a text mode WWW browser, similar to Lynx. It displays tables,
 frames, downloads on background, uses HTTP/1.1 keepalive connections.
 .
 This version is compiled without graphics mode. See the package
 links2 for a version with graphics support compiled in.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-graphics --with-x --with-fb

override_dh_auto_install:
	dh_auto_install
	#rename links.1 and links to links2.1 and links2
	mv $(CURDIR)/debian/tmp/usr/bin/links \
           $(CURDIR)/debian/tmp/usr/bin/links2
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/tmp/usr/share/man/man1/links2.1

#	build the textmode only version
	dh_auto_configure -- --without-svgalib --without-x --without-fb --without-directfb --without-libjpeg --without-libtiff
	dh_auto_install

=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/ \
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.bz2
opts=uversionmangle=s/pre/~pre/ \
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.gz

## links2 2.9

=== debian/changelog ===
links2 (2.9-3ubuntu1) wily; urgency=medium

  * Use dh-autoreconf instead of autotools-dev.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Jun 2015 22:23:15 -0700

links2 (2.9-3) unstable; urgency=medium

  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Sun, 26 Apr 2015 02:35:40 +0200

links2 (2.9-2) experimental; urgency=low

  * Use -lpthread on all architectures (Closes: #774250)

 -- Axel Beckert <abe@debian.org>  Wed, 31 Dec 2014 18:31:23 +0100

links2 (2.9-1) experimental; urgency=low

  * New upstream release
    + Refresh patches where necessary
    + Add -lpthread to LDFLAGS on Linux explicitly as configure missed it.
  * Add "xterm | x-terminal-emulator" as Recommends to the links2 package
    since "links2 -g" or "xlinks2" use x-terminal-emulator to spawn
    external applications needing a terminal.
  * Instead of using x-terminal-emulator unconditionally, use a wrapper
    script which first checks a blacklist of terminal emulators known to
    not behave properly on "-e" and use a fallback instead of them. Thanks
    Mikulas Patocka!
  * Declare compliance with Debian Policy 3.9.6. (No other changes needed.)
  * Switch Vcs-Browser to https and cgit-based URL.
  * Desktop file: Add keyword "lightweight".
  * Convert debian/copyright to machine-readable DEP5 format.
  * Add patch to use local instead of online copy of calibration.html
  * Install calibration files into /usr/share/links2/ instead of
    /usr/share/doc/links2/links_cal/.
    + Fixes lintian warning
      possible-documentation-but-no-doc-base-registration
    + Ensures that no file under /usr/share/doc/ is required even for
      optional features like color calibration.
  * Reverse relevant effect links2 patch on the links package's man page
    upon installation. (Closes: #602228) Also remove references to "-g"
    and friends from links.1.

 -- Axel Beckert <abe@debian.org>  Tue, 30 Dec 2014 18:58:30 +0100

links2 (2.8-2) unstable; urgency=medium

  * Build-depend on unversioned graphics format library (virtual) packages
    only (Closes: #724921, #662420)
  * Enable parallel building
  * Add CVE id to previous changelog entry.
  * Bump Standard-Version to 3.9.5 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 28 May 2014 00:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9~),
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
                dh-exec,
                libbz2-dev,
                libdirectfb-dev,
                libgpm-dev [linux-any],
-               libjpeg8-dev | libjpeg-dev,
+               libjpeg-dev,
                liblzma-dev,
-               libpng12-dev | libpng-dev,
+               libpng-dev,
                libsdl1.2-dev,
                libssl-dev,
                libtiff-dev,
@@ -19,9 +19,9 @@
                libxau-dev,
                libxdmcp-dev,
                libxt-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://links.twibright.com/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/links2.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git
 
 Package: links2
@@ -29,6 +29,7 @@
 Provides: www-browser
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: xterm | x-terminal-emulator
 Description: Web browser running in both graphics and text mode
  Links is a graphics and text mode WWW browser, similar to Lynx. It displays
  tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# configure seem to fail to add this since 2.9
export DEB_LDFLAGS_MAINT_APPEND=-lpthread

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-graphics --with-x --with-fb

override_dh_auto_install:
	dh_auto_install
	# rename links.1 and links to links2.1 and links2
	mv $(CURDIR)/debian/tmp/usr/bin/links \
           $(CURDIR)/debian/tmp/usr/bin/links2
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/tmp/usr/share/man/man1/links2.1

#	build the textmode only version
	dh_auto_configure -- --without-svgalib --without-x --without-fb --without-directfb --without-libjpeg --without-libtiff
	dh_auto_install
	# Fix "links2" occurrences in links' man-page, see #602228
	sed -z -e 's/\([^.]\)\(links\)2/\1\2/gi;s/\\f3-g\\f1.*\\f3-force-html\\f1/\\f3-force-html\\f1/' -i $(CURDIR)/debian/tmp/usr/share/man/man1/links.1

## links2 2.10

=== debian/changelog ===
links2 (2.10-2) unstable; urgency=medium

  * Fix typo in patch description.
  * Add patch for basic client certificate support by Enrico
    Zini. (Closes: #797066) Thanks!

 -- Axel Beckert <abe@debian.org>  Thu, 27 Aug 2015 22:42:23 +0200

links2 (2.10-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches where necessary.
    - Add b-d on lib{event,rsvg2}-dev for new SVG and libevent support.
    - Disable new SVG and libevent support in links package.
  * Simplify debian/watch
  * Make debian/rules more readable by adding backslashed line-breaks to
    long shell commands.
  * Add patch to remove unnecessary usage of __DATE__ and __TIME__ to make
    bulld reproducible.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jul 2015 22:25:37 +0200
